import axios from "../../utils/axios";

//--------------获取ERP数据-------------------
export function getErpMainOrder(query) {
    return axios({
        url: "/warehouse/getErpMainOrder",
        method: "get",
        params: query
    });
}

export function getCloudErp(query) {
    return axios({
        url: "/spms/erpOrder/filter",
        method: "get",
        params: query
    });
}

export function addStockOrder(query) {
    return axios({
        url: "/udiwms/erpOrder/addStockOrder",
        method: "get",
        params: query
    });
}


export function getErpMainOrderStatus(query) {
    return axios({
        url: "/warehouse/getErpMainOrderStatus",
        method: "get",
        params: query
    });
}


export function getErpDetailOrder(query) {
    return axios({
        url: "/warehouse/getErpDetailOrder",
        method: "get",
        params: query
    });
}

export function importErpOrder(query) {
    return axios({
        url: "/warehouse/importErpOrder",
        method: "post",
        data: query
    });
}
export function combineErpOrder(query) {
    return axios({
        url: "/warehouse/combineErpOrder",
        method: "post",
        data: query
    });
}


export function deleteErpOrder(query) {
    return axios({
        url: "/warehouse/deleteErpOrder",
        method: "post",
        data: query
    });
}

export function selectErpOrder(query) {
    return axios({
        url: "/warehouse/selectErpOrder",
        method: "post",
        data: query
    });
}
export function importErpStock(query) {
    return axios({
        url: "/warehouse/stockPrint/importErpStock",
        method: "post",
        data: query
    });
}

export function repeatCheck(query) {
    return axios({
        url: "/warehouse/repeatCheck",
        method: "post",
        data: query
    });
}

export function dlErpStock(query) {
    return axios({
        url: "/warehouse/dlErpStock",
        method: "get",
        params: query
    });
}

